DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
POST/chatbot/{chatbotId}/config

Create a new chatbot config

Create a new chatbot config

PATCH/chatbot/{chatbotId}/configarrow_forward
tune
Parameters
chatbotIdrequiredpath
string (uuid)
The ID of the chatbot
upload
Request body
typerequired
string · style_sheet | features
The type of the config
valuerequired
object
The config value (style configuration object)
double_arrow
Returns 201
idrequired
string (uuid)
The generated UUID for the new config
chatbotIdrequired
string (uuid)
The ID of the chatbot
typerequired
enum
The type of the config
valuerequired
object
The config value
createdAtrequired
string (date-time)
updatedAtrequired
string (date-time)
report
Errors
StatusDescription
400Default Response
409Default Response
500Default Response
north_east
Request
curl -X POST 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}/config' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "style_sheet",
  "value": {}
}'
south_west
Response
201 OK
application/json
{
  "id": "00000000-0000-0000-0000-000000000001",
  "chatbotId": "00000000-0000-0000-0000-000000000001",
  "type": "style_sheet",
  "value": {},
  "createdAt": "2026-01-01T00: 00:00Z",
  "updatedAt": "2026-01-01T00: 00:00Z"
}